package cn.com.poc.agent_application.service;

import cn.com.poc.agent_application.entity.BizAgentApplicationApiProfileEntity;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAgentApplicationApiProfileService extends BaseService {

    BizAgentApplicationApiProfileEntity getByMemberId(Long memberId);

    BizAgentApplicationApiProfileEntity initProfile(Long memberId);

    BizAgentApplicationApiProfileEntity resetProfile(Long memberId) throws Exception;

    BizAgentApplicationApiProfileEntity getByKeyAndSecret(String key, String secret);

    List<BizAgentApplicationApiProfileEntity> findByExample(BizAgentApplicationApiProfileEntity example, PagingInfo pagingInfo) throws Exception;

    BizAgentApplicationApiProfileEntity save(BizAgentApplicationApiProfileEntity entity) throws Exception;

    BizAgentApplicationApiProfileEntity update(BizAgentApplicationApiProfileEntity entity) throws Exception;


}